export declare class GrammarToken {
    text: string;
    index: number;
    scopes: string[];
}
export declare class GrammarEngine {
    private _contextMap;
    private _contextPatterns;
    private _invalidTokenScope;
    constructor(grammar: any, invalidTokenScope: string);
    tokenize(text: string, initScopeStack?: string[]): GrammarToken[];
}
export declare function r(strings: any): any;
